## echognomix 0.1-4

=== wscript ===
#!/usr/bin/env python

import os
import sys
import Options
import Constants

APPNAME = "echognomix"
MAINTAINER = "Bundyo <bundyo@gmail.com>"
VERSION = "0.1"
BUILD = "4"
VERSION_MAJOR_MINOR = VERSION + "-" + BUILD
PREFIX = '/usr'

srcdir = '.'
blddir = '_build_'

def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.tool_options('gnu_dirs')
	opt.add_option('--maemo-launcher', action='store_true', default=False, help='Enable maemo-launcher support.', dest='maemo_launcher')
	opt.sub_options("src")

def configure(conf):
    conf.check_tool('compiler_cc vala gnu_dirs intltool')

    conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='gio-2.0', uselib_store='GIO', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='gconf-2.0', uselib_store='GCONF', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gobject-2.0', uselib_store='GOBJECT', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gtk+-2.0', uselib_store='GTK+', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gdk-x11-2.0', uselib_store='GDKX11', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='hildon-1', uselib_store='HILDON', atleast_version='1.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='hildon-1', uselib_store='FREMANTLE', atleast_version='2.1.62', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='hildon-fm-2', uselib_store='HILDONFM', atleast_version='1.9', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='gnome-vfs-2.0', uselib_store='GNOMEVFS', atleast_version='2.10.0', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='conic', uselib_store='CONIC', atleast_version='0.16', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='libosso', uselib_store='OSSO', atleast_version='2.0', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='tracker', uselib_store='TRACKER', atleast_version='0.6', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='sqlite3', uselib_store='SQLITE', atleast_version='3.0', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='webkit-1.0', uselib_store='WEBKIT', atleast_version='1.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='vala-1.0', uselib_store='VALA', atleast_version='0.7.7', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='x11', uselib_store='X', atleast_version='1.0', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='clutter-gtk-0.10', uselib_store='GTKCLUTTER', atleast_version='0.10', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='clutter-1.0', uselib_store='CLUTTER', atleast_version='1.0', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='clutter-gesture', uselib_store='CLUTTERGESTURE', atleast_version='0.0.1', mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='mx-1.0', uselib_store='MX', atleast_version='0.99', mandatory=True, args='--cflags --libs')
    if Options.options.maemo_launcher:
    	conf.check_cfg(package='maemo-launcher-app', uselib_store='LAUNCHER', atleast_version='0.31', mandatory=True, args='--cflags --libs')
#    conf.check_cfg(package='libxml-2.0', uselib_store='LIBXML', atleast_version='2.0.0', mandatory=True)
	
    if (conf.env['HAVE_FREMANTLE'] == 1):
        conf.define('VALAFLAGS', '--disable-dbus-transformation --define=FREMANTLE')

    conf.define('APPNAME', APPNAME)
    conf.define('PACKAGE', APPNAME)
    conf.define('PACKAGE_NAME', APPNAME.capitalize())
    conf.define('PACKAGE_STRING', APPNAME + '-' + VERSION)
    conf.define('PACKAGE_VERSION', APPNAME + '-' + VERSION)
    conf.define('GETTEXT_PACKAGE', APPNAME)
    conf.define('APP_DIR', os.path.join(PREFIX, 'share', APPNAME)) 
    conf.define('LOCALE_DIR', os.path.join(PREFIX, 'share', 'locale')) 
    conf.define('PIXMAPS_DIR', os.path.join(PREFIX, 'share', 'pixmaps'))
    conf.define('MAINTAINER', MAINTAINER)

    conf.define('VERSION', VERSION)
    conf.define('VERSION_MAJOR_MINOR', VERSION_MAJOR_MINOR)

    conf.write_config_header("config.h")

def pre(ctx):  # pre-build C files generation in native to speed it up (20 times at least).
	ctx.recurse('src')
	ctx.mapped_sources = ' ../src/' + ' ../src/'.join(ctx.sources.split())
	ctx.mapped_vapis = ' --vapidir=' + ' --vapidir='.join(ctx.vapis)
	ctx.mapped_packages = ' --pkg ' + ' --pkg '.join(ctx.packages.split())
	
	# die with error code if the generation fails so the build can stop.
	exit_code = os.system('cd _build_ && /usr/bin/valac -C --quiet --disable-dbus-transformation --define=FREMANTLE -d default/src'
			  		  	  + ctx.mapped_sources + ctx.mapped_vapis + ctx.mapped_packages) != '0'
	if exit_code != 1:
		sys.exit()

def build(bld):
    bld.add_subdirs('src')

def dist():
	import os, shutil, sys

	# Here's the core info for the package
	DEBARCH = "armel"
	DEBDEPENDS = "libgtk2.0-0, libglib2.0-0, libhildon1, libosso1" # what are we dependent on? hildonfm2, libgconf2.0, 
	DEBDESC = "A comic strip viewer, inspired by Buoh"
	
	DEBDIR = [
	    ("DEBIAN/postinst","include/postinst"),
	]
	
	DEBFILES = [
	
	    # Now we specify the files to be included in the .deb
	    # Where they should go, and where they should be copied from.
	    # If you have a lot of files, you may wish to generate this 
	    # list in some other way.
	    ("usr/bin/"+APPNAME,													"_build_/default/src/"+APPNAME),
	    ("usr/share/"+APPNAME+"/style/abstractbg.jpg",							"include/style/abstractbg.jpg"),
	    ("usr/share/"+APPNAME+"/style/bottom_left.png",							"include/style/bottom_left.png"),
	    ("usr/share/"+APPNAME+"/style/bottom_left_active.png",					"include/style/bottom_left_active.png"),
	    ("usr/share/"+APPNAME+"/style/bottom_right.png",						"include/style/bottom_right.png"),
	    ("usr/share/"+APPNAME+"/style/bottom_right_active.png",					"include/style/bottom_right_active.png"),
	    ("usr/share/"+APPNAME+"/style/default.css",								"include/style/default.css"),
	    ("usr/share/"+APPNAME+"/style/hesfine.jpg",								"include/style/hesfine.jpg"),
	    ("usr/share/"+APPNAME+"/style/top_left.png",							"include/style/top_left.png"),
	    ("usr/share/"+APPNAME+"/style/top_left_active.png",						"include/style/top_left_active.png"),
	    ("usr/share/"+APPNAME+"/style/top_right.png",							"include/style/top_right.png"),
	    ("usr/share/"+APPNAME+"/style/top_right_active.png",					"include/style/top_right_active.png"),
	    ("usr/share/"+APPNAME+"/style/top_slide_back.png",						"include/style/top_slide_back.png"),
	    ("usr/share/"+APPNAME+"/style/top_slide_bg.png",						"include/style/top_slide_bg.png"),
	    ("usr/share/"+APPNAME+"/style/top_slide_brev.png",						"include/style/top_slide_brev.png"),
	    ("usr/share/"+APPNAME+"/style/top_slide_forward.png",					"include/style/top_slide_forward.png"),
	    ("usr/share/"+APPNAME+"/style/top_slide_frev.png",						"include/style/top_slide_frev.png"),
	    ("usr/share/"+APPNAME+"/style/touchwieners.jpg",						"include/style/touchwieners.jpg"),
	    ("usr/share/pixmaps/"+APPNAME+".png",									"include/48x48/"+APPNAME+".png"),
	    ("usr/share/icons/hicolor/26x26/hildon/"+APPNAME+".png",				"include/26x26/"+APPNAME+".png"),
	    ("usr/share/icons/hicolor/40x40/hildon/"+APPNAME+".png",				"include/40x40/"+APPNAME+".png"),
	    ("usr/share/icons/hicolor/48x48/hildon/"+APPNAME+".png",				"include/48x48/"+APPNAME+".png"),
	    ("usr/share/icons/hicolor/64x64/hildon/"+APPNAME+".png",				"include/64x64/"+APPNAME+".png"),
	    ("usr/share/applications/hildon/"+APPNAME+".desktop",					"include/"+APPNAME+".desktop"),
	    ("usr/share/dbus-1/services/com.nokia."+APPNAME+".service",				"include/com.nokia."+APPNAME+".service")
	]
	    
	# This is the debian package we're going to create
	debpkg = '%s-%s-%s_%s.deb' % (APPNAME, VERSION, BUILD, DEBARCH)
	
	DEBCONTROLFILE = "distbuild/DEBIAN/control"

	os.system("rm -r distbuild/")

	def copy_force(src, dst):
		try: os.makedirs(os.path.dirname(dst))
		except: print "Directory "+os.path.dirname(dst)+" already exists.";
		shutil.copy2(src, dst)

	for f in DEBFILES:
	    dest = os.path.join("distbuild/", f[0])
	    copy_force(f[1], dest)
	
	# Now to create the control file:
	
	CONTROL_TEMPLATE = """Package: %s
Priority: optional
Section: user/graphics
Installed-Size: %s
Maintainer: %s
Architecture: %s
Version: %s
Depends: %s
Description: %s
Maemo-Display-Name: Echognomix
Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I                                               
 NwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAABUN                                               
 SURBVHjaYkxISGAYAMD9/z+D1d8//+PY2FmkHj9+lHvz5s1rjx49ItkggABi                                               
 obPD+YAOd/3z+3/EfwYGL35BJq7//5gZ/v1jyHvx4kUOUP4PqQYCBBC9PCD+                                               
 7y9D4J8//0MZGRksBUWYODUM2BlUddkYzh/9zfDutViQoKDgmpcvX+4h1WCA                                               
 AKK1BxSBySTs92+GGFY2Rm1pJVZGNV0WBkV1NgZ+ISYGNg5GBvUv/xge3OAR                                               
 VZBXSn316tX5////vyXFAoAAopUHTP/+/e//9zdDKNCRajJKLAzqBmwMShos                                               
 DFy8TAzA2GD4/fs/GEvIMjPIKP1jePFc1oGf/7r5hw8ftpFiEUAAUdMDTMD0                                               
 bff3D0MM0PHuXDxMMgq6zOBkIqPAysDBw8jw5zcDw8/v/1E0gWJBWZuJ4cEt                                               
 fjFZWTkfoAeOAIU/EWspQABR7gFGYInyl8EZmL5jgJnRiZefSVhRgw0Y4qwM                                               
 knIsDMCkw/AXi8NhAKiPQUqRGRwT8s+UPe/dv7v865evh4m1HiCAKPGAJKhE                                               
 +f3zfwwTE6OTsDgzs5ImK4OKLiuDqAQLAxPTf6DjIA4HqmMAZl6sAJScuHhA                                               
 scDI8Oy+iAIwL/hfvXr5LFDqGzGOAAggcjygArQ0ABhygUxMDFbi0szA0GZn                                               
 UNFiYRAUZQbFCKhYZGD4z8jAAuQyMINjCeiJ/2DHguT+I0UGiP3/738GBTVW                                               
 hpsy/xnkXij63r59c8mvX78uEOMYgAAi3gP/GbT//P0fCUwOQWwcDJryqqzA                                               
 9M3KIA+0WAjocKBnGH58+8/w6cNfhg9v/jF8+fQPHPrA2GFg52Jk4BVgBKvj                                               
 4GRi+PsP5GqkZARMYjz8TAxKmkwMTx8Kq0pLybjdf3DvKlDqNyFnAQQQIQ9w                                               
 gEoUYMUT+vcvQwgnF6OkrCYLg6YRMGMqsoKjnomZkeHzh38M92/+Znh46zfD                                               
 +zd/wY5jBzqUhQUSwqDS5teP/wzMLIwMsiosDLrm7AxcQE8BzYSGDSRmFLWY                                               
 GW5dYmdUUFAJfPzk0YY/f/7cIuQBgADC5QF2oKlOfyAlihcwYwooAItAVR02                                               
 BmkFZmDJAQxuoIW/fv1nuHP1F8OlEz8ZfgIdCMq0htYcDJzckAT/9w8k+YCS                                               
 Eij5vH7xF+wJUGz9ByYxRsb/kOT1DxQL/xkEhIAZWfUvMBYk9SWlpFweP3p0                                               
 F2QMPg8ABBC6BwSBFnkDK59wYCzbC4ow86poQ5KKmDQwYwId8gfoaJCF3778                                               
 Zziy4zvDk7u/GTSN2YGVEwtQDFieP/4LTEb/gCUPUB0DIzSd/wfGCCODkQ0H                                               
 g5gkMzhGwJ4AyoPMY2SE5gsgoQSMhZuXOTkV5JT8nz97uvXPn78P8XkAIIBg                                               
 HpD7C8qYv/7Hs7Ay6IrJsLCqAh2uosPKICDCDLYAVNz9+QUpt0EO3LP2G9gh                                               
 7mHcDD+Aaf3ckZ9gg0SADpRTYQV6ElRRQUofkGOZgTZxAj3BCGQzAvPFu9f/                                               
 GK6f+w306D8GC1cOsDyo1BKRZAJmaAaGV89krIWEhO2AtfMSBpQcgwoAAgjk                                               
 gThgiBYDLdIDpU8NfTYGBQ1WBj4BJnC6BMYGpFQBFSisDAzfv/4HOx4EnAO5                                               
 GG6c/wUM9T8M2sBY4BVkYnjz/C/D62d/wBkYlIRAIQus1BjMnNjBGfXx3T/A
