=== debian/changelog ===
echognomix (0.1-4) unstable; urgency=low

  * Removed direct include reference in MX VAPI.

 -- Bundyo <bundyo@gmail.com>  Mon, 24 Apr 2010 10:18:00 +0300

echognomix (0.1-3) unstable; urgency=low

  * Removed unneeded clutter-gtk dependency.

 -- Bundyo <bundyo@gmail.com>  Mon, 24 Apr 2010 03:40:00 +0300

echognomix (0.1-2) unstable; urgency=low

  * Second autobuilder run.

 -- Bundyo <bundyo@gmail.com>  Mon, 24 Apr 2010 03:40:00 +0300

echognomix (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Bundyo <bundyo@gmail.com>  Mon, 8 Apr 2010 00:10:00 +0200
