## echognomix 0.1-5

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 APPNAME = "echognomix"
 MAINTAINER = "Bundyo <bundyo@gmail.com>"
 VERSION = "0.1"
-BUILD = "4"
+BUILD = "5"
 VERSION_MAJOR_MINOR = VERSION + "-" + BUILD
 PREFIX = '/usr'
 
@@ -88,8 +88,8 @@
 
 	# Here's the core info for the package
 	DEBARCH = "armel"
-	DEBDEPENDS = "libgtk2.0-0, libglib2.0-0, libhildon1, libosso1" # what are we dependent on? hildonfm2, libgconf2.0, 
-	DEBDESC = "A comic strip viewer, inspired by Buoh"
+	DEBDEPENDS = "libgtk2.0-0, libglib2.0-0, libhildon1, libosso1, libclutter-1.0, mx"
+	DEBDESC = "A comic strip viewer, currently only an MX demo"
 	
 	DEBDIR = [
 	    ("DEBIAN/postinst","include/postinst"),
