=== lib/wscript ===
#!/usr/bin/env python

def build(bld):
	prog = bld.create_obj('cc', 'shlib')
	# symbolic name used to reference this object
	prog.name = 'libosso.shlib'
	# name of the resulting program
	prog.target = 'osso'
	prog.source = 'libosso.vapi'
	# libraries to link against
	prog.uselib = 'GLIB'
	# Vala packages to use
	prog.packages = 'glib-2.0'
