=== src/wscript ===
#!/usr/bin/env python

import Options

sources = """echognomix.vala"""
packages = """config gtk+-2.0 glib-2.0 hildon-1 hildonmime libosso dbus-glib-1 gdk-x11-2.0 mx-1.0 clutter-1.0"""
vapi_dirs = [ '../lib', '../vapis' ]

def pre(ctx):
	ctx.sources = sources
	ctx.packages = packages
	ctx.vapis = vapi_dirs

def build(bld):
	prog = bld.new_task_gen('cc', 'cprogram') 
	# symbolic name used to reference this object
	prog.name = 'echognomix.program'
	# name of the resulting program
	prog.target = 'echognomix'
	prog.source = sources
	# libraries to link against
	prog.uselib = 'GTK+ GLIB HILDON OSSO DBUS LAUNCHER GDKX11 MX CLUTTER CLUTTERGESTURE'
	# Vala packages to use
	prog.packages = packages
	# Extra vapi dirs
	prog.vapi_dirs = vapi_dirs
	prog.includes = ''
	prog.env['CPPFLAGS'] = [ "-includeconfig.h", "-mfpu=neon", "-mcpu=cortex-a8", "-mtune=cortex-a8", "-mfloat-abi=softfp",
								 "-I/usr/include/gnome-vfs-2.0", "-g", "-O2", "-fomit-frame-pointer", "-fsigned-char", 
								 "-I/home/bundyo/vala-projects/echognomix/_build_/default/" ]
	prog.env['CFLAGS'] = ''  # '-msoft-float -mcpu="arm1026ej-s" -mtune="arm1026ej-s"'
	# Enable threading
	#prog.threading = True

def set_options(bld):
	bld.add_option('--cflags', type='string', dest='cflags')
	bld.add_option('--cppflags', type='string', dest='cppflags')
