=== debian/changelog ===
echognomix (0.1-5) unstable; urgency=low

  * Updated description, added bugtracker link.

 -- Bundyo <bundyo@gmail.com>  Mon, 24 Apr 2010 10:18:00 +0300
