=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
 Package: echognomix
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
-Description: A comic strip viewer, inspired by Buoh.
+Description: A comic strip viewer, currently only an MX demo.
+ This project will become a comic strip viewer written in Clutter and MX.
+XSBC-Bugtracker: mailto:bundyo@gmail.com
 XB-Maemo-Display-Name: Echognomix
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAAK/I
